/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.109 Revision 1.189
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.109 2010/02/16 06:47:45 abcd Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.189 2012/07/02 14:09:25 pesa Exp $
4
5*PyQt4-4.9.4 (02 Jul 2012)
6
7 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
8 -PyQt4-4.9.3.ebuild:
9 Version bump.
10
11*PyQt4-4.9.3 (27 Jun 2012)
12
13 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
14 -PyQt4-4.9.2.ebuild:
15 Version bump.
16
17 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
18 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
19
20*PyQt4-4.9.2 (21 Jun 2012)
21
22 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
23 Version bump
24
25 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
26 Destabling to ~ia64 because last available stable qt will be masked pending
27 removal
28
29 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
30 marked x86 per bug 412929
31
32 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
33 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
34 Inherit eutils.
35
36 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
37 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
38 Revert previous change.
39
40 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
41 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
42 Restrict python 3.1 to match dev-python/dbus-python.
43
44 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
45 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
46
47 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
48 Migrating dev-util/pkgconfig -> virtual/pkgconfig
49
50 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
51 Stable for amd64, wrt bug #412929
52
53 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
54 Stable on alpha, bug #354033
55
56 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
57 PyQt4-4.8.4.ebuild:
58 PyQt4-4.8 does not build with sip-4.13, bug 407291
59
60 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
61 Slightly improve the ewarn message in pkg_postinst().
62
63 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
64 Put qt as the primary herd in metadata.
65
66 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
67 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
68 <slong@rathaus.eclipse.co.uk> in bug #407281.
69
70 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
71 Switch to EAPI 4, add REQUIRED_USE.
72
73 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
74 PyQt4-4.8.4.ebuild:
75 Drop ~x86-fbsd because of unkeyworded dependencies.
76
77 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
78 Don't enable QtAssistant module because it was removed in qt-4.7 and we
79 already depend on 4.7.2 or later.
80
81 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
82 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
83 Restrict pypy for older versions too.
84
85 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
86 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
87 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
88 version.
89
90 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
91 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
92 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
93 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
94 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
95 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
96
97 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
98 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
99 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
100 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
101 Fixing pypy restricts to actually work
102
103*PyQt4-4.9.1 (12 Feb 2012)
104
105 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
106 version bump
107
108 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
109 builds with qt-opengl-4.8.0[egl], updated dep
110
111 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
112 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
113 Fixes backported from Progress Overlay. Patch by Arfrever.
114
115*PyQt4-4.9 (24 Dec 2011)
116
117 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
118 Version bump
119
120*PyQt4-4.8.6 (11 Nov 2011)
121
122 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
123 Version bump
124
125 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
126 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
127 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
128 python overlay.
129
130*PyQt4-4.8.5 (19 Aug 2011)
131
132 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
133 Version bump
134
135 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
136 ppc/ppc64 stable wrt #374591
137
138 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
139 x86 stable, bug #374591
140
141 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
142 ppc64 stable wrt #354033
143
144 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
145 Stable on amd64 wrt bug #374591
146
147 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
148 Marking PyQt4-4.8.3 ppc stable for bug 354033
149
150 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
151 Stable on amd64 wrt bug #354033
152
153 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
154 x86 stable per bug 354033
155
156*PyQt4-4.8.4 (02 May 2011)
157
158 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
159 +PyQt4-4.8.4.ebuild:
160 Version bump.
161
162 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
163 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
164 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
165 Adapt phonon dependency for package move
166
167 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
168 ppc64 stable wrt #349607
169
170 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
171 ia64/sparc stable wrt #349607
172
173 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
174 Stable on alpha, bug #349607
175
176 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
177 PyQt4-4.8.3.ebuild:
178 Update dependencies (bug #353053).
179
180*PyQt4-4.8.3 (25 Jan 2011)
181
182 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
183 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
184 Version bump.
185
186 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
187 x86 stable wrt bug #349607
188
189 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
190 Marking PyQt4-4.8.1 ppc stable for bug 349607
191
192 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
193 Stable on amd64 wrt bug #349607
194
195 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
196 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
197 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
198
199*PyQt4-4.8.1-r1 (30 Dec 2010)
200
201 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
202 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
203 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
204
205 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
206 PyQt4-4.8.2.ebuild:
207 Fix dependencies (bug #349672).
208
209*PyQt4-4.8.2 (24 Dec 2010)
210
211 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
212 +PyQt4-4.8.2.ebuild:
213 Version bump.
214
215 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
216 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
217 Restrict Jython ABIs.
218
219 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
220 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
221 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
222 -files/configure.py.patch:
223 Delete.
224
225 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
226 old, depends on qt 4.5
227
228 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
229 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
230 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
231 Remove HPPA keywording (bug #239441).
232
233*PyQt4-4.8.1 (30 Oct 2010)
234
235 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
236 +PyQt4-4.8.1.ebuild:
237 Version bump.
238
239 23 Oct 2010; Raúl Porcel <armin76@gentoo.org> PyQt4-4.7.3.ebuild:
240 ia64/sparc stable wrt #315775
241
242*PyQt4-4.8 (23 Oct 2010)
243
244 23 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
245 -PyQt4-4.7.ebuild, -PyQt4-4.7.5.ebuild, -PyQt4-4.7.7.ebuild,
246 +PyQt4-4.8.ebuild, metadata.xml:
247 Version bump.
248
249*PyQt4-4.7.7-r1 (06 Oct 2010)
250
251 06 Oct 2010; Theo Chatzimichos <tampakrap@gentoo.org>
252 +PyQt4-4.7.7-r1.ebuild, +files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff:
253 Revision bump, add patch that fixes compilation with PyKDE 4.5.2
254
255*PyQt4-4.7.7 (21 Sep 2010)
256
257 21 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.6.ebuild,
258 +PyQt4-4.7.7.ebuild:
259 Version bump. Remove old bogus version
260
261 13 Sep 2010; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.7.3.ebuild:
262 Stable on alpha, bug #315775
263
264 13 Sep 2010; Joseph Jezak <josejx@gentoo.org> PyQt4-4.7.3.ebuild:
265 Marked ppc stable for bug #315775.
266
267 10 Sep 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
268 PyQt4-4.7.6.ebuild:
269 Update EAPI. Fix dependencies.
270
271*PyQt4-4.7.6 (08 Sep 2010)
272
273 08 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.2.ebuild,
274 +PyQt4-4.7.6.ebuild:
275 Version bump. Remove old ebuild
276
277 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.4.ebuild,
278 PyQt4-4.7.5.ebuild:
279 Drop old bogus ebuild. Drop RESTRICT_PYTHON_ABIS from latest ebuild
280
281*PyQt4-4.7.5 (01 Sep 2010)
282
283 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild,
284 +PyQt4-4.7.5.ebuild:
285 Version bump
286
287 18 Aug 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.7.3.ebuild:
288 Stable for HPPA (bug #315775).
289
290 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild:
291 Bump sip dependency to 4.10.3. Fix arm epatch command
292
293*PyQt4-4.7.4 (13 Jul 2010)
294
295 13 Jul 2010; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.7.4.ebuild:
296 Version bump
297
298 05 Jul 2010; Samuli Suominen <ssuominen@gentoo.org> PyQt4-4.7.3.ebuild:
299 ppc64 stable wrt #315775
300
301 16 Jun 2010; Tomas Touceda <chiiph@gentoo.org> PyQt4-4.7.3.ebuild,
302 +files/PyQt4-4.7.3-qreal_float_support.patch:
303 Add patch for qreal/float support in ARM wrt bug 322349
304
305 03 Jun 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.7.3.ebuild:
306 x86 stable wrt bug 315775
307
308 25 May 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.3.ebuild:
309 Stable on amd64 wrt bug 315775
310
311 23 Apr 2010; Theo Chatzimichos <tampakrap@gentoo.org> PyQt4-4.7.ebuild,
312 PyQt4-4.7.2.ebuild, PyQt4-4.7.3.ebuild:
313 Fix sip dep in PyQt4 ebuilds
314
315*PyQt4-4.7.3 (17 Apr 2010)
316
317 17 Apr 2010; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.7.3.ebuild:
318 Version bump
319
320 11 Apr 2010; <nixnut@gentoo.org> PyQt4-4.7.ebuild:
321 ppc stable #301105
322
323*PyQt4-4.7.2 (18 Mar 2010)
324
325 18 Mar 2010; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.7.2.ebuild,
326 +files/PyQt4-4.7.2-configure.py.patch:
327 Version bump. ChangeLog is no longer shipped. Update patch.
328
329 03 Mar 2010; Christian Faulhammer <fauli@gentoo.org> PyQt4-4.7.ebuild:
330 stable x86, bug 301105
331
332 02 Mar 2010; Samuli Suominen <ssuominen@gentoo.org> PyQt4-4.7.ebuild:
333 amd64 stable wrt #301105
4 334
5 16 Feb 2010; Jonathan Callen <abcd@gentoo.org> 335 16 Feb 2010; Jonathan Callen <abcd@gentoo.org>
6 -files/PyQt4-4.4.4-qgraphicsproxywidget-avoid-event-callback-loop.patch, 336 -files/PyQt4-4.4.4-qgraphicsproxywidget-avoid-event-callback-loop.patch,
7 -files/fix_license_check.patch: 337 -files/fix_license_check.patch:
8 Drop old patches 338 Drop old patches
444*PyQt4-4.0_beta1 (05 May 2006) 774*PyQt4-4.0_beta1 (05 May 2006)
445 775
446 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 776 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
447 +PyQt4-4.0_beta1.ebuild: 777 +PyQt4-4.0_beta1.ebuild:
448 initial import, from bug #121554 778 initial import, from bug #121554
449

Legend:
Removed from v.1.109  
changed lines
  Added in v.1.189

  ViewVC Help
Powered by ViewVC 1.1.20